/* REXX Script: creating WPS objects for JRescuer */

call rxFuncAdd "SysLoadFuncs" , "RexxUtil" , "SysLoadFuncs"
call SysLoadFuncs

foldername="JRescuer"
homepage = "JRescuer homepage"
docdir="DOCUMENTATION" 
junename = "JUne"
jrescuername = "JRescuer"
regname = "Registration"
junereadme = "JUne readme"
jrescuerreadme = "JRescuer readme"

Parse arg dir

if dir="" then dir = directory()
rc=directory(dir)

rc=SysCreateObject("WPFolder",foldername,"<WP_DESKTOP>",,
                   "OBJECTID=<JRESCUERFOLDER>;OPEN=Default;ICONVIEWPOS=18 45 60 26;","FAIL" )

PRGOPTION="EXENAME="||dir||"\June.exe;OBJECTID=<JUNE_EXE>;STARTUPDIR="||dir||";"
rc=SysCreateObject("WPProgram",junename,"<JRESCUERFOLDER>",PRGOPTION,"REPLACE")

PRGOPTION="EXENAME="||dir||"\JRescuer.exe;OBJECTID=<JRESCUER_EXE>;STARTUPDIR="||dir||";"
rc=SysCreateObject("WPProgram",jrescuername,"<JRESCUERFOLDER>",PRGOPTION,"REPLACE")
                   
rc=SysCreateObject("WPUrl",homepage,"<JRESCUERFOLDER>",,
                   "OBJECTID=<JRESCUERHOMEPAGE>;URL=http://ecomstation.ru/jrescuer;","REPLACE" )
                   
PRGOPTION="SHADOWID="||dir||"\"||docdir||"\jrescuer_eng.txt;OBJECTID=<JRESCUERREADME>"
rc=SysCreateObject("WPShadow",jrescuerreadme,"<JRESCUERFOLDER>",PRGOPTION,"REPLACE")
                   
PRGOPTION="SHADOWID="||dir||"\"||docdir||"\june_eng.txt;OBJECTID=<JUNEREADME>"
rc=SysCreateObject("WPShadow",junereadme,"<JRESCUERFOLDER>",PRGOPTION,"REPLACE")

PRGOPTION="SHADOWID="||dir||"\"||docdir||"\registration.txt;OBJECTID=<JRESCUERREGISTRATION>"
rc=SysCreateObject("WPShadow",regname,"<JRESCUERFOLDER>",PRGOPTION,"REPLACE")
       
/* Open JRescuer folder */
objectID = "<JRESCUERFOLDER>"
objectOpen = SysSetObjectData( objectID, "OPEN=DEFAULT;" )
if objectOpen = 1 then
    objectOpen = objectOpen + ,
                 SysSetObjectData( objectID, "OPEN=DEFAULT;" )


